package org.xyzh.common.dto.crontab;

import org.xyzh.common.dto.BaseDTO;

/**
 * @description 定时任务邮件接收人表
 * @filename TbCrontabEmailRecipient.java
 * @author yslg
 * @copyright xyzh
 * @since 2025-11-18
 */
public class TbCrontabEmailRecipient extends BaseDTO {
    
    private static final long serialVersionUID = 1L;
    
    /**
     * @description 接收人ID
     */
    private String recipientId;
    
    /**
     * @description 关联任务ID（NULL表示不属于任务）
     */
    private String taskId;
    
    /**
     * @description 关联用户ID
     */
    private String userId;
    
    /**
     * @description 邮箱地址
     */
    private String email;
    
    /**
     * @description 接收人姓名
     */
    private String name;
    
    /**
     * @description 创建者
     */
    private String creator;
    
    /**
     * @description 更新者
     */
    private String updater;

    public String getRecipientId() {
        return recipientId;
    }

    public void setRecipientId(String recipientId) {
        this.recipientId = recipientId;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getUpdater() {
        return updater;
    }

    public void setUpdater(String updater) {
        this.updater = updater;
    }

    @Override
    public String toString() {
        return "TbCrontabEmailRecipient{" +
                "id=" + getID() +
                ", recipientId='" + recipientId + '\'' +
                ", taskId='" + taskId + '\'' +
                ", userId='" + userId + '\'' +
                ", email='" + email + '\'' +
                ", name='" + name + '\'' +
                '}';
    }
}